/* 
  Copyright (c) 2013 - 2014, Oracle and/or its affiliates. All rights reserved.
  
  This program is free software; you can redistribute it and/or modify it under 
  the terms of the GNU General Public License as published by the Free Software 
  Foundation; version 2 of the License.
  
  This program is distributed in the hope that it will be useful, but WITHOUT ANY 
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
  FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License along with this 
  program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth 
  Floor, Boston, MA 02110-1301  USA
*/

#include "jkey.h"

JKey_string::JKey_string(char* value)
{
  this->value= value;
};


JKey_string::~JKey_string()
{
  delete[] this->value;
};


char* JKey_string::as_string()
{
  return this->value;
};


long long JKey_string::as_longlong()
{
  return atoi(this->value);
};


JKey_longlong::JKey_longlong(long long value)
{
  this->value= value;
};


long long JKey_longlong::as_longlong()
{
  return this->value;
};


/* :tabSize=2:indentSize=2:noTabs=true:folding=custom:collapseFolds=1: */
